# The Essentials

Art by [Demigiant](https://www.demigiant.com/art/illustration/riskOfRain/index.php)

Update any mods that need it after installing. Read DebugToolkit's modpage to learn about the commands you can use. Change in-game configs for Risk of Options supported mods through the options menu -> mod options tab, for non-supported use the config tab in R2Modman.

### Performance

- [JPs_AV_Effect_Options](https://thunderstore.io/package/TeamNinjaDSM/JPs_AV_Effect_Options/) toggle many AV effects
- [RiskOfWaiting](https://thunderstore.io/package/Groove_Salad/RiskOfWaiting/) reduces load times
- If you need more performance mods, check out the [Performance Uplifter](https://thunderstore.io/package/Smxrez/Performance_Uplifter/) modpack

### Tweaks

- [TweakAI](https://thunderstore.io/package/Nuxlar/TweakAI/) enemy AI tweaks for better initial spawn navigation
- [HealthBarViewer](https://thunderstore.io/package/6thmoon/HealthBarViewer/) enemy HP visibility improvements
- [NoBossRepeat](https://thunderstore.io/package/Moffein/NoBossRepeat/) makes boss repeats less likely

### Fixes

- [HistoryFix](https://thunderstore.io/package/6thmoon/HistoryFix/) fixes run report deletion and logbook functionality
- [UnlockMomentum](https://thunderstore.io/package/6thmoon/UnlockMomentum/) fixes momentum lock
- [EviscerateFix](https://thunderstore.io/package/Moffein/EviscerateFix/) fixes eviscerate targeting allies
- [DoubleTapFix](https://thunderstore.io/package/Moffein/DoubleTapFix/) fixes commando primary capped fire rate
- [EvisIFramesFix](https://thunderstore.io/package/Nuxlar/EvisIFramesFix/) fixes being "hit" while in eviscerate
- [AudioOverlapFix](https://thunderstore.io/package/Goorakh/AudioOverlapFix/) fixes sound jumpscares with multiple sounds playing at once
- [AttackDirectionFix](https://thunderstore.io/package/Goorakh/AttackDirectionFix/) fixes attacks not impacting where your crosshair is
- [NegativeMaxHealthFix](https://thunderstore.io/package/Nebby/NegativeMaxHealthFix/) fixes your HP being set to a negative value

### QoL

- [DebugToolkit](https://thunderstore.io/package/IHarbHD/DebugToolkit/) adds console commands **READ MODPAGE**
- [Risk_Of_Options](https://thunderstore.io/package/Rune580/Risk_Of_Options/) adds in-game configs for mods that support it
- [ProperSave](https://thunderstore.io/package/KingEnderBrine/ProperSave/) adds save/load functionality for runs
- [Exchange_Changes](https://thunderstore.io/package/Flyingcomputer/Exchange_Changes/) faster printers/scrappers/chance shrines
- [FasterInteractableBalancer](https://thunderstore.io/package/riskofresources/FasterInteractableBalancer/) adds time for faster interactables
- [RandomCharacterSelection](https://thunderstore.io/package/KingEnderBrine/RandomCharacterSelection/) adds buttons for in-lobby random loadout/survivor selection
- [WaterTweaker](https://thunderstore.io/package/Judgy/WaterTweaker/) opacity and other tweaks to Wetland's water
- [EarlySpawnBoost](https://thunderstore.io/package/Nuxlar/EarlySpawnBoost/) boosts spawn rate for stages 1 & 2
- [DifficultySelection](https://thunderstore.io/package/6thmoon/DifficultySelection/) make difficulties available in default lobby (namely Eclipse)
- [ItemStats](https://thunderstore.io/package/Moffein/ItemStats/) items show full descriptions and shows descriptions on ping
- [QuickRestart](https://thunderstore.io/package/AceOfShades/QuickRestart/) adds new buttons for quickly restarting runs
- [ResumeMusicPostTeleporter](https://thunderstore.io/package/prodzpod/ResumeMusicPostTeleporter/) resumes stage music after tp
- [StopStealingMyMouse](https://thunderstore.io/package/Rune580/StopStealingMyMouse/) stops mouse being locked during load
- [BetterLoadingScreen](https://thunderstore.io/package/Goorakh/BetterLoadingScreen/) reduces amount of time spent frozen on 100% when using lots of mods
- [ProperlyPersistentProfilesPatchPlugin](https://thunderstore.io/package/Groove_Salad/ProperlyPersistentProfilesPatchPlugin/) locks-in your modded Eclipse levels, loadouts, and logbook entries
- [BetterPrimordialTeleporter](https://thunderstore.io/package/HIFU/BetterPrimordialTeleporter/) makes primordial tp spawn on every stage when looping instead of only sky meadow

## Changelog

**1.0.2**

- Added AudioOverlapFix
- Added AttackDirectionFix
- Added BetterLoadingScreen
- Added ProperlyPersistentProfilesPatchPlugin
- Added BetterPrimordialTeleporter
- Added NegativeMaxHealthFix
- Removed HolyDLL
- Updated all versions

**1.0.1**

- Removes Flurry Fix
- Adds EvisIFramesFix
- Adds StopStealingMyMouse

**1.0.0**

- Release
